Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deApiCamera Class Reference

`#include <deApi_Private.hpp>`

Inheritance diagram for deApiCamera:

[legend]
Collaboration diagram for deApiCamera:

[legend]
List of all members.

## Public Member Functions
| deApiCamera ()
virtual | ~deApiCamera ()
void | SetFOV (deDouble dDegrees)
void | SetOrthoWidth (deDouble dWidth)
void | EnableOrtho (bool bEnable)
deTransform | GetTransform ()
void | SetTransform (deTransform transform)
void | SetName (const deString &sName)
deString & | GetName ()
deDouble | GetFOV ()
deDouble | GetOrthoWidth ()
bool | IsOrtho ()
deDouble | GetNearClip ()
deDouble | GetFarClip ()
void | SetClip (deDouble dNear, deDouble dFar)
IdeCamera * | GetDestinyCamera ()
## Private Attributes
| DECLARE_RTI
IdeCamera * | m_pCamera
deString | m_sName
deDouble | m_dFOV
deDouble | m_dOrthoWidth
bool | m_bIsOrtho
deDouble | m_dNearClip
deDouble | m_dFarClip
deTransform | m_Transform

## Constructor & Destructor Documentation

deApiCamera::deApiCamera | ( |  | ) |

deApiCamera::~deApiCamera | ( |  | ) | `[virtual]`

## Member Function Documentation

void deApiCamera::EnableOrtho | ( | bool | bEnable | ) |

IdeCamera * deApiCamera::GetDestinyCamera | ( |  | ) |

deDouble deApiCamera::GetFarClip | ( |  | ) |

deDouble deApiCamera::GetFOV | ( |  | ) |

deString & deApiCamera::GetName | ( |  | ) |

deDouble deApiCamera::GetNearClip | ( |  | ) |

deDouble deApiCamera::GetOrthoWidth | ( |  | ) |

deTransform deApiCamera::GetTransform | ( |  | ) |

bool deApiCamera::IsOrtho | ( |  | ) |

void deApiCamera::SetClip | ( | deDouble | dNear,
|  | deDouble | dFar
| ) |

void deApiCamera::SetFOV | ( | deDouble | dDegrees | ) |

void deApiCamera::SetName | ( | const deString & | sName | ) |

void deApiCamera::SetOrthoWidth | ( | deDouble | dWidth | ) |

void deApiCamera::SetTransform | ( | deTransform | transform | ) |

## Member Data Documentation

deApiCamera::DECLARE_RTI`[private]`

| Reimplemented from deApiObject.

bool deApiCamera::m_bIsOrtho`[private]`

deDouble deApiCamera::m_dFarClip`[private]`

deDouble deApiCamera::m_dFOV`[private]`

deDouble deApiCamera::m_dNearClip`[private]`

deDouble deApiCamera::m_dOrthoWidth`[private]`

IdeCamera* deApiCamera::m_pCamera`[private]`

deString deApiCamera::m_sName`[private]`

deTransform deApiCamera::m_Transform`[private]`

The documentation for this class was generated from the following files:

- deApi_Private.hpp
- deApi.cpp